<!--
title: Openstack
description: 
published: true
date: 2022-01-19T15:12:38.771Z
tags: 
editor: ckeditor
dateCreated: 2021-12-21T14:00:25.236Z
-->

<h1>OpenStack&nbsp;</h1>
<p><a href="https://gitlab.com/hu-hc/jcr/openstack/kolla-ansible/">Kolla Ansible Gitlab</a></p>
<p>OpenStack installatie op de Hogeschool Utrecht</p>
<p>Alleen intern is momenteel operationeel.</p>
<figure class="image"><img src="/Beheer/Hosting/Assets/openstack.png"></figure>
<p>&nbsp;</p>
<p>Horizon: in het management netwerk <a href="http://10.0.0.253">http://10.0.0.253</a> of <a href="http://5d0b1943a6cf.ngrok.io">http://5d0b1943a6cf.ngrok.io</a></p>
<p>&nbsp;</p>
<pre><code class="language-plaintext">Installation
Run this from your own workstation as deployment host.
1. ``` sudo apt update &amp;&amp; sudo apt upgrade -y ```
2. ``` sudo apt install python3-dev libffi-dev gcc libssl-dev -y ```
3. ``` sudo apt install python3-pip ```
4. ``` sudo pip3 install -U pip ```
5. ``` sudo apt install ansible ```
6. ``` sudo pip3 install kolla-ansible ```
7. ``` sudo mkdir -p /etc/kolla ```
8. ``` sudo chown $USER:$USER /etc/kolla ```
9. ``` cp -r /usr/local/share/kolla-ansible/etc_examples/kolla/* /etc/kolla ```
10. ``` cp /usr/local/share/kolla-ansible/ansible/inventory/* . ```
11. Place variables in ansible config
```
[default]
host_key_checking=False
pipelining=True
forks=100
```
12. Prepare multinode inventory file
13. ``` ansible -i multinode all -m ping ```
14. ``` kolla-genpwd ```
15. Prepare kolla "globals.yml", placed in /etc/kolla/globals.yml
16. ``` kolla-ansible -i ./multinode bootstrap-servers ```
17. ``` kolla-ansible -i ./multinode prechecks ``` 
18. ``` kolla-ansible -i ./multinode deploy ```
19. ``` pip install python3-openstackclient ```
20. ``` kolla-ansible post-deploy ``` (might need sudo in WSL)
21. ``` source /etc/kolla/admin-openrc.sh ```
22. Use Openstack CLI</code></pre>
<p><br>&nbsp;</p>
